> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an annotation configuration



## OpenAPI

````yaml delete /v1/annotation_configs/{config_id}
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/annotation_configs/{config_id}:
    delete:
      tags:
        - annotation_configs
      summary: Delete an annotation configuration
      operationId: delete_annotation_config_v1_annotation_configs__config_id__delete
      parameters:
        - name: config_id
          in: path
          required: true
          schema:
            type: string
            description: ID of the annotation configuration
            title: Config Id
          description: ID of the annotation configuration
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteAnnotationConfigResponseBody'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DeleteAnnotationConfigResponseBody:
      properties:
        data:
          oneOf:
            - $ref: '#/components/schemas/CategoricalAnnotationConfig'
            - $ref: '#/components/schemas/ContinuousAnnotationConfig'
            - $ref: '#/components/schemas/FreeformAnnotationConfig'
          title: Data
          discriminator:
            propertyName: type
            mapping:
              CATEGORICAL:
                $ref: '#/components/schemas/CategoricalAnnotationConfig'
              CONTINUOUS:
                $ref: '#/components/schemas/ContinuousAnnotationConfig'
              FREEFORM:
                $ref: '#/components/schemas/FreeformAnnotationConfig'
      type: object
      required:
        - data
      title: DeleteAnnotationConfigResponseBody
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CategoricalAnnotationConfig:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          const: CATEGORICAL
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        optimization_direction:
          $ref: '#/components/schemas/OptimizationDirection'
        values:
          items:
            $ref: '#/components/schemas/CategoricalAnnotationValue'
          type: array
          title: Values
        id:
          type: string
          title: Id
      type: object
      required:
        - name
        - type
        - optimization_direction
        - values
        - id
      title: CategoricalAnnotationConfig
    ContinuousAnnotationConfig:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          const: CONTINUOUS
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        optimization_direction:
          $ref: '#/components/schemas/OptimizationDirection'
        lower_bound:
          anyOf:
            - type: number
            - type: 'null'
          title: Lower Bound
        upper_bound:
          anyOf:
            - type: number
            - type: 'null'
          title: Upper Bound
        id:
          type: string
          title: Id
      type: object
      required:
        - name
        - type
        - optimization_direction
        - id
      title: ContinuousAnnotationConfig
    FreeformAnnotationConfig:
      properties:
        name:
          type: string
          title: Name
        type:
          type: string
          const: FREEFORM
          title: Type
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        optimization_direction:
          anyOf:
            - $ref: '#/components/schemas/OptimizationDirection'
            - type: 'null'
        threshold:
          anyOf:
            - type: number
            - type: 'null'
          title: Threshold
        lower_bound:
          anyOf:
            - type: number
            - type: 'null'
          title: Lower Bound
        upper_bound:
          anyOf:
            - type: number
            - type: 'null'
          title: Upper Bound
        id:
          type: string
          title: Id
      type: object
      required:
        - name
        - type
        - id
      title: FreeformAnnotationConfig
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    OptimizationDirection:
      type: string
      enum:
        - MINIMIZE
        - MAXIMIZE
        - NONE
      title: OptimizationDirection
    CategoricalAnnotationValue:
      properties:
        label:
          type: string
          title: Label
        score:
          anyOf:
            - type: number
            - type: 'null'
          title: Score
      type: object
      required:
        - label
      title: CategoricalAnnotationValue

````